Postfix Install Dependency Problems

General support questions including new installations
Post Reply
Traffic
Posts: 1
Joined: 2008/04/04 17:26:53

Postfix Install Dependency Problems

Post by Traffic » 2008/04/04 17:34:08

Hello...

I am trying to install Postfix with YUM - and, am getting the following error:

[root@vps1068 ~]# yum install postfix
Setting up Install Process
Setting up repositories
update 100% |=========================| 951 B 00:00
base 100% |=========================| 1.1 kB 00:00
centosplus 100% |=========================| 951 B 00:00
addons 100% |=========================| 951 B 00:00
extras 100% |=========================| 1.1 kB 00:00
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package postfix.i386 2:2.2.10-1.1.el4.centos.mysql_pgsql.plus set to be updated
--> Running transaction check
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15) for package: postfix
--> Processing Dependency: libmysqlclient.so.15 for package: postfix
--> Processing Dependency: postgresql for package: postfix
--> Processing Dependency: postgresql-libs for package: postfix
--> Processing Dependency: libpq.so.4 for package: postfix
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package postgresql-libs.i386 0:8.1.11-1.el4s1.1 set to be updated
---> Package postgresql.i386 0:8.1.11-1.el4s1.1 set to be updated
--> Running transaction check
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15) for package: postfix
--> Processing Dependency: libmysqlclient.so.15 for package: postfix
--> Finished Dependency Resolution
Error: Missing Dependency: libmysqlclient.so.15(libmysqlclient_15) is needed by package postfix
Error: Missing Dependency: libmysqlclient.so.15 is needed by package postfix



CentOS Plus is enabled - so, I am not sure why I would get this error... That is the only solution I have found by googling the problem...

Any help would be appreciated...


...

cormander
Posts: 100
Joined: 2005/05/16 21:27:57
Location: Utah
Contact:

Postfix Install Dependency Problems

Post by cormander » 2008/04/18 06:14:01

I use centosplus on my centos4 box as well. That dependancy belongs to the mysql-libs package. Try installing it:

yum install mysql-libs

and see what happens. If that is grabbed / installed, you should then be able to do postfix. If it's not found (and it's not on your system) you can also look for the RPM in the mirrors directly:

http://mirror.centos.org/centos/4/centosplus/i386/RPMS/

Hope this helps.

Post Reply

Return to “CentOS 4 - General Support”